@echo off
rem --------------------------------------------------------------
rem BUILD.BAT for EdMap v1.25+                (by Jeff Rabenhorst)
rem
rem         Edit this file to use a different NODE-BUILDER
rem
rem   Requires STUFFBUF.EXE to insert keystrokes into the buffer
rem   and NPXTEST.EXE to test whether a NPX (80x87) is availible
rem   and DOOM2WAD.EXE to convert PWAD map entries (DOOM1/DOOM2)
rem --------------------------------------------------------------

	if not "%1"=="" goto ONEPARAM
	error Missing WAD filename.
	goto TEXTDESC
:ONEPARAM
	if "%1"=="/?" goto TEXTDESC
	if "%1"=="-?" goto TEXTDESC
	if exist %1.wad goto OKPARAMS
	error %1.WAD does not exist.
	goto TEXTDESC
:OKPARAMS
	if exist build.tmp del build.tmp > nul
	copy %1.wad backup.wad > nul
	DOOM2WAD %1.WAD 0
	WAD_DWD %1.WAD TMP.DWD
	echo .
	if errorlevel 1 goto BUILDFAILED
	erase %1.WAD
	echo Building BSP data...
:BUILDNOW
	IDBSP TMP.DWD %1.WAD
	if errorlevel 1 goto BUILDFAILED

		echo 
		DOOM2WAD %1.WAD %2
		echo 
		echo Finished building PWAD; %1.WAD is now playable.
		echo 
		if "%4"=="" goto END
		  STUFFBUF !
		  EDMAPCOM %3 %4 BUILT OK
		goto END
:BUILDFAILED
		copy backup.wad %1.wad > nul
		if "%4"=="" goto FAILTEXT
			  EDMAPCOM %3 %4 PLAYMAP=FALSE
			  EDMAPCOM %3 %4 ERROR BuildFailed
:FAILTEXT
		echo BUILD FAILED!
		echo PWAD RESTORED
		goto END
:NONPX
		if "%4"=="" goto NONPXTEXT
			  EDMAPCOM %3 %4 PLAYMAP=FALSE
			  EDMAPCOM %3 %4 ERROR NoNPX
:NONPXTEXT
		echo BUILD FAILED!
		echo No NPX (80x87) present for builder.
		goto END
:TEXTDESC
	echo 
	echo BUILD.BAT        
	echo   PWAD node-builder (builds BSP data for maps)
	echo 
	echo format: BUILD filename
	echo     ex: BUILD C:\DOOM\PWADS\CASTLE
	echo 
	goto END
:END
rem --------------------------------------------------------------
